Subject: Re: [bug-diffutils] bug#21715: bug#21715: feat req: an option to skip directory inode comparison

From: Paul Eggert <[email-masked]>
Date: Sun, 15 May 2016 23:13:03 -0700

Jim Meyering wrote:
> Thanks for the suggestion, but what NetApp software are you using?
> I've just tried to reproduce that on a NetApp-backed nfs-mounted directory,
> and see different inode numbers for the directories:
> 
>   $ stat --format %i foo .snapshot/hourly.2016-05-15_*/foo
>   97582543
>   97557711

I can reproduce the problem on my platform: a RHEL 7 client
(3.10.0-327.10.1.el7.x86_64 kernel), with a NetApp server running a fairly old
release. The last time I asked (in 2010), they were running netapp-6.5.6 on the
file server.

As far as I know, only NetApp has the inode-number bug. It's had the bug for
many years, and I'm a bit surprised to see that they fixed it in a recent release.